Loading...
Searching...
No Matches
unique_ptr_list File Reference

Implementation of a list of unique-ptr-managed objects. More...

`#include <l4/cxx/unique_ptr>`
`#include "bits/smart_ptr_list.h"`
Include dependency graph for unique_ptr_list:

Go to the source code of this file.

## Namespaces

namespace | cxx
| Our C++ library.

## Typedefs

template<typename T>
using | cxx::Unique_ptr_list_item = Bits::Smart_ptr_list_item<T, cxx::unique_ptr<T> >
| Item for list linked with cxx::unique_ptr.
template<typename T>
using | cxx::Unique_ptr_list = Bits::Smart_ptr_list<Unique_ptr_list_item<T> >
| Single-linked list where elements are connected with a cxx::unique_ptr.

## Detailed Description

Implementation of a list of unique-ptr-managed objects.

Definition in file unique_ptr_list.